Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class BarrierLock

- org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.BarrierLock

- All Implemented Interfaces and Traits:
    Serializable

      protected static class ConcurrentReaderHashMap.BarrierLock

  A Serializable class for barrier lock *

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`